package util;

public class AuraMessageTypes
{

	public static final int AURA_UNKNOWN_TYPE = -1;
	public static final int AURA_ILLEGAL_TYPE = -2;

	/* Supplier-Prism messages*/
	/* incoming */
	public static final int AURA_GETSTATE = 100;
	public static final int AURA_SETSTATE = AURA_GETSTATE + 1;
	/* outgoing */
	public static final int AURA_STATESNAPSHOT = AURA_GETSTATE  + 50 ;

	/* Supplier-EM messages*/
	/* messages exchanged with the environment manager */
	/* incoming */
	public static final int AURA_ATTACH = 400;
	public static final int AURA_ACTIVATE = AURA_ATTACH + 1;
	public static final int AURA_DEACTIVATE = AURA_ATTACH + 2;
	/* outgoing */
	public static final int AURA_REGISTER = AURA_ATTACH + 50;
	public static final int AURA_QOSREPORT = AURA_ATTACH + 51;
	public static final int AURA_ACK_ATTACH = AURA_ATTACH + 52;
	public static final int AURA_ACK_ACTIVATE = AURA_ATTACH + 53;

	/* Prism-EM messages */
	/* messages exchanged with the environment manager */
	/* incoming */
	public static final int AURA_TASKLAYOUT = 1000;
	public static final int AURA_CREATED_TASK = AURA_TASKLAYOUT + 1;
	public static final int AURA_TASK_GONE = AURA_TASKLAYOUT + 2;

	/* outgoing */
	public static final int AURA_NEWTASK = AURA_TASKLAYOUT + 50;
	public static final int AURA_BUDGET = AURA_TASKLAYOUT + 51;
	public static final int AURA_SETUP = AURA_TASKLAYOUT + 52;
	public static final int AURA_DISBAND = AURA_TASKLAYOUT + 53;

}